#ifndef my_config_H
#define my_config_H

#include <Arduino.h>
#define FASTLED_INTERNAL
#include <FastLED.h>

//#define DEBUG

#define WIFI_SSID "Schlenz"
#define WIFI_PASS "1410WischlingenPanda"

#define LED_WIDTH 16
#define LED_HEIGHT 16
#define LED_COUNT 256
#define LED_TYPE WS2812B
#define DATA_PIN 14
#define COLOR_ORDER GRB
#define BRIGHTNESS 20 // Can be overwritten via MQTT_TOPIC_BRIGHTNESS
#define TEMPORAL_DITHERING 0

#define NTP_SERVER "pool.ntp.org"
#define NTP_INTERVAL 300000
#define NTP_OFFSET 7200

#define MQTT_SERVER "10.10.2.1"
#define MQTT_PORT 1883
#define MQTT_USER "pitrix"
#define MQTT_PASS "o385gbeoijkfndvlaukebi"
#define MQTT_TOPIC "pitrix/" // MQTT-Topic to listen to. Must not start with a slash, but must end with one."

#define HOSTNAME "pitrix-%08X"
#define OTA_STARTUP_DELAY 10 // How many seconds to wait at startup. Set to 0 to disable.

#define FPS 50
#define SHOW_TEXT_DELAY 100

#define MONITOR_LOOP_TIMES false
#define MONITOR_LOOP_TIME_THRESHOLD 500
#define MONITOR_LOOP_TIME_COUNT_MAX 10

#define EFFECT_CYCLE_TIME 300 // Time in seconds between cycling effects.

#define EFFECT_MATRIX_LENGTH_MIN 4
#define EFFECT_MATRIX_LENGTH_MAX 20
#define EFFECT_MATRIX_SPEED_MIN 50
#define EFFECT_MATRIX_SPEED_MAX 135

#define EFFECT_SINGLE_DYNAMIC_LOOP_TIME 200
#define EFFECT_MULTI_DYNAMIC_LOOP_TIME 1400

#ifdef DEBUG
  #define LOG(x) Serial.print(x);
  #define LOGln(x) Serial.println(x);
#else
  #define LOG(x) ""
  #define LOGln(x) ""
#endif

#endif
